#ifndef BREEZE_TOKENIZER_H
#define BREEZE_TOKENIZER_H

#include "../defines.h"

typedef struct Token {
    const char *start;
    int length;
    int line;
} Token;

typedef struct Tokenizer {
    const char *current;
    int line;
} Tokenizer;

Tokenizer tokenizerCreate(const char *source);
Token tokenizerScan(Tokenizer *tokenizer);

#endif //BREEZE_TOKENIZER_H
